Sponsor:

Server and Web Integrator
Link:
Kloxo-MR logo
6.5.0 or 7.0.0
Click for "How to install"
Donation/Sponsorship:
Kloxo-MR is open-source.
Donate and or Sponsorship always welcome.
Click to:
Click Here
Please login or register. 2024-05-12, 15:32:35

Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - Anik

Pages: 1 ... 10 11 [12] 13
166
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-18, 13:44:18 »
Failed. PHP returned a WSOD
ssh varnishstat: command not found

should i need to install varnishstat via yum?

167
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-17, 13:06:36 »
Quote
I have a plan (I hope implementing on next release),

So should we wait for the next release?  is upgrading from the current release will be okay? before i got some serious problem for which i need to reinstall everything, so now i fear to upgrade.  :|

Quote
backend_unhealthy 0 0.00 Backend conn. not attempted
backend_busy 0 0.00 Backend conn. too many
backend_fail 2459 0.03 Backend conn. failures
backend_reuse 2807769 32.93 Backend conn. reuses
backend_toolate 100708 1.18 Backend conn. was closed

where you get this stat?

168
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-16, 13:21:41 »
So guys, there is now two modification. with which i should stick with?
Marek, did you ever got that connection reset problem in browser after applying your graceful restart fix on your own server?
Mustafa, you can try Marek's fix if he is certain that this problem won't happen again.
I am now watching the server and will update with further information, because this problem do not occurs always.

169
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-15, 19:37:15 »
another point i want to mention. my php-fpm expires after some times. maybe 24 hours or less. so i have to restart it periodically.
is it related to this matter?

170
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-15, 19:33:57 »
ok i replaced with Marek's config. but if i don't apply Mustafa's fix then he will be angry ->  :evil:
so tellme Mustafa, should i apply yours too?  :D

171
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-15, 18:11:55 »
now theres 2. should i apply both fixes?  : :

172
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-15, 15:06:10 »
those lines are commented out so at the end of them theres already a ;;

173
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-15, 15:04:39 »
tried that too before but failed

also there is already ;;

Code: [Select]
 restart)
        $apachectl $@
        RETVAL=$?
   # MR -- back to original because gracefull have a trouble with 2.2.23 version
   #$apachectl configtest
   #echo -e $"Gracefully restarting"
   #$apachectl graceful
   #status $httpd
   ;;

174
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-14, 15:38:50 »
can you post here the exact config file which will work Marek?

175
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-14, 14:09:49 »
but that above config didn't worked. apache isn't starting.

176
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-14, 13:59:05 »
just fixed it. reason was some permission error.

177
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-14, 13:35:06 »
after doing this apache failed to start and all my websites is now completely down. :(
I used this config

Code: [Select]
#!/bin/bash
#
# httpd        Startup script for the Apache HTTP Server
#
# chkconfig: - 85 15
# description: The Apache HTTP Server is an efficient and extensible  
#       server implementing the current HTTP standards.
# processname: httpd
# config: /etc/httpd/conf/httpd.conf
# config: /etc/sysconfig/httpd
# pidfile: /var/run/httpd.pid
#
### BEGIN INIT INFO
# Provides: httpd
# Required-Start: $local_fs $remote_fs $network $named
# Required-Stop: $local_fs $remote_fs $network
# Should-Start: distcache
# Short-Description: start and stop Apache HTTP Server
# Description: The Apache HTTP Server is an extensible server
#  implementing the current HTTP standards.
### END INIT INFO

# Source function library.
. /etc/rc.d/init.d/functions

if [ -f /etc/sysconfig/httpd ]; then
        . /etc/sysconfig/httpd
fi

# Start httpd in the C locale by default.
HTTPD_LANG=${HTTPD_LANG-"C"}

# This will prevent initlog from swallowing up a pass-phrase prompt if
# mod_ssl needs a pass-phrase from the user.
INITLOG_ARGS=""

# Set HTTPD=/usr/sbin/httpd.worker in /etc/sysconfig/httpd to use a server
# with the thread-based "worker" MPM; BE WARNED that some modules may not
# work correctly with a thread-based MPM; notably PHP will refuse to start.

# Path to the apachectl script, server binary, and short-form for messages.
apachectl=/usr/sbin/apachectl
httpd=${HTTPD-/usr/sbin/httpd}
prog=httpd
pidfile=${PIDFILE-/var/run/httpd.pid}
lockfile=${LOCKFILE-/var/lock/subsys/httpd}
RETVAL=0

# The semantics of these two functions differ from the way apachectl does
# things -- attempting to start while running is a failure, and shutdown
# when not running is also a failure.  So we just do it the way init scripts
# are expected to behave here.
start() {
        echo -n $"Starting $prog: "
        LANG=$HTTPD_LANG daemon --pidfile=${pidfile} $httpd $OPTIONS
        RETVAL=$?
        echo
        [ $RETVAL = 0 ] && touch ${lockfile}
        return $RETVAL
}

# When stopping httpd a delay of >10 second is required before SIGKILLing the
# httpd parent; this gives enough time for the httpd parent to SIGKILL any
# errant children.
stop() {
echo -n $"Stopping $prog: "
killproc -p ${pidfile} -d 10 $httpd
RETVAL=$?
echo
[ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}
}
reload() {
    echo -n $"Reloading $prog: "
    if ! LANG=$HTTPD_LANG $httpd $OPTIONS -t >&/dev/null; then
        RETVAL=$?
        echo $"not reloading due to configuration syntax error"
        failure $"not reloading $httpd due to configuration syntax error"
    else
        killproc -p ${pidfile} $httpd -HUP
        RETVAL=$?
    fi
    echo
}

# See how we were called.
case "$1" in
  start)
start
;;
  stop)
stop
;;
  status)
       status $httpd
RETVAL=$?
;;
  restart)
        $apachectl $@
        RETVAL=$?
# MR -- back to original because gracefull have a trouble with 2.2.23 version
#$apachectl configtest
#echo -e $"Gracefully restarting"
#$apachectl graceful
#status $httpd
;;
  condrestart)
if [ -f ${pidfile} ] ; then
stop
start
fi
;;
  force-reload|reload)
        reload
;;
  graceful|help|configtest|fullstatus)
$apachectl $@
RETVAL=$?
;;
  *)
echo $"Usage: $prog {start|stop|restart|condrestart|reload|status|fullstatus|graceful|help|configtest}"
RETVAL=3
esac

exit $RETVAL

is anything i missed out?

178
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-14, 00:09:17 »
I'm using php-fpm with nginxproxy. will this fix apply for this setup?

and now the config is something like

Code: [Select]
#!/bin/bash
#
# httpd        Startup script for the Apache HTTP Server
#
# chkconfig: - 85 15
# description: The Apache HTTP Server is an efficient and extensible  
#       server implementing the current HTTP standards.
# processname: httpd
# config: /etc/httpd/conf/httpd.conf
# config: /etc/sysconfig/httpd
# pidfile: /var/run/httpd.pid
#
### BEGIN INIT INFO
# Provides: httpd
# Required-Start: $local_fs $remote_fs $network $named
# Required-Stop: $local_fs $remote_fs $network
# Should-Start: distcache
# Short-Description: start and stop Apache HTTP Server
# Description: The Apache HTTP Server is an extensible server
#  implementing the current HTTP standards.
### END INIT INFO

# Source function library.
. /etc/rc.d/init.d/functions

if [ -f /etc/sysconfig/httpd ]; then
        . /etc/sysconfig/httpd
fi

# Start httpd in the C locale by default.
HTTPD_LANG=${HTTPD_LANG-"C"}

# This will prevent initlog from swallowing up a pass-phrase prompt if
# mod_ssl needs a pass-phrase from the user.
INITLOG_ARGS=""

# Set HTTPD=/usr/sbin/httpd.worker in /etc/sysconfig/httpd to use a server
# with the thread-based "worker" MPM; BE WARNED that some modules may not
# work correctly with a thread-based MPM; notably PHP will refuse to start.

# Path to the apachectl script, server binary, and short-form for messages.
apachectl=/usr/sbin/apachectl
httpd=${HTTPD-/usr/sbin/httpd}
prog=httpd
pidfile=${PIDFILE-/var/run/httpd.pid}
lockfile=${LOCKFILE-/var/lock/subsys/httpd}
RETVAL=0

# The semantics of these two functions differ from the way apachectl does
# things -- attempting to start while running is a failure, and shutdown
# when not running is also a failure.  So we just do it the way init scripts
# are expected to behave here.
start() {
        echo -n $"Starting $prog: "
        LANG=$HTTPD_LANG daemon --pidfile=${pidfile} $httpd $OPTIONS
        RETVAL=$?
        echo
        [ $RETVAL = 0 ] && touch ${lockfile}
        return $RETVAL
}

# When stopping httpd a delay of >10 second is required before SIGKILLing the
# httpd parent; this gives enough time for the httpd parent to SIGKILL any
# errant children.
stop() {
echo -n $"Stopping $prog: "
killproc -p ${pidfile} -d 10 $httpd
RETVAL=$?
echo
[ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}
}
reload() {
    echo -n $"Reloading $prog: "
    if ! LANG=$HTTPD_LANG $httpd $OPTIONS -t >&/dev/null; then
        RETVAL=$?
        echo $"not reloading due to configuration syntax error"
        failure $"not reloading $httpd due to configuration syntax error"
    else
        killproc -p ${pidfile} $httpd -HUP
        RETVAL=$?
    fi
    echo
}

# See how we were called.
case "$1" in
  start)
start
;;
  stop)
stop
;;
  status)
       status $httpd
RETVAL=$?
;;
  restart)
stop
start
# MR -- back to original because gracefull have a trouble with 2.2.23 version
#$apachectl configtest
#echo -e $"Gracefully restarting"
#$apachectl graceful
#status $httpd
;;
  condrestart)
if [ -f ${pidfile} ] ; then
stop
start
fi
;;
  force-reload|reload)
        reload
;;
  graceful|help|configtest|fullstatus)
$apachectl $@
RETVAL=$?
;;
  *)
echo $"Usage: $prog {start|stop|restart|condrestart|reload|status|fullstatus|graceful|help|configtest}"
RETVAL=3
esac

exit $RETVAL

should i delete them all and put just this following 4 lines as you said?

Code: [Select]
restart)
      $apachectl $@
        RETVAL=$?
        ;;

179
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-13, 21:52:06 »
did you ever got this problem Marek? Is there any temporary fix?

180
Kloxo-MR Technical Helps / Re: The connection was reset
« on: 2013-01-13, 13:00:41 »
is it something due to timeout?
i never saw it in opera.

Pages: 1 ... 10 11 [12] 13

Top 4 Global Search Engines:    Google    Bing    Baidu    Yahoo

Page created in 0.073 seconds with 20 queries.

web stats analysis